ここから本文です

pythonでネット上からデータセットをダウンロードしようとするとエラーが出ます.

uvt********さん

2017/3/916:27:20

pythonでネット上からデータセットをダウンロードしようとするとエラーが出ます.

python初心者で「ゼロから作るDeep Learning Pythonで学ぶディープラーニングの理論と実装」という本を用いて勉強しているところですが,ネット上からデータセットをダウンロードするところでエラーが出ます.
エラーは下に貼っている通りで原因が分かる方は教えていただければと思います.
環境はwindows,python3です.

dataset/mnist.pyは以下のurlにあります.
著者が提供しているもので,コードミスはないかと思います.
https://github.com/oreilly-japan/deep-learning-from-scratch/blob/ma...



>>> import os, sys
>>> sys.path.append(os.pardir) # 親ディレクトリappend
>>> from dataset.mnist import load_mnist
>>> (x_train, t_train), (x_test, t_test) = load_mnist(flatten=True, normalize=Fa
lse)
Downloading train-images-idx3-ubyte.gz ...
Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 1318, in do_open
encode_chunked=req.has_header('Transfer-encoding'))
File "C:\ProgramData\Anaconda3\lib\http\client.py", line 1239, in request
self._send_request(method, url, body, headers, encode_chunked)
File "C:\ProgramData\Anaconda3\lib\http\client.py", line 1285, in _send_reques
t
self.endheaders(body, encode_chunked=encode_chunked)
File "C:\ProgramData\Anaconda3\lib\http\client.py", line 1234, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "C:\ProgramData\Anaconda3\lib\http\client.py", line 1026, in _send_output

self.send(msg)
File "C:\ProgramData\Anaconda3\lib\http\client.py", line 964, in send
self.connect()
File "C:\ProgramData\Anaconda3\lib\http\client.py", line 936, in connect
(self.host,self.port), self.timeout, self.source_address)
File "C:\ProgramData\Anaconda3\lib\socket.py", line 722, in create_connection
raise err
File "C:\ProgramData\Anaconda3\lib\socket.py", line 713, in create_connection
sock.connect(sa)
ConnectionRefusedError: [WinError 10061] 対象のコンピューターによって拒否された
ため、接続できませんでした。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "C:\python\dataset\mnist.py", line 109, in load_mnist
init_mnist()
File "C:\python\dataset\mnist.py", line 78, in init_mnist
download_mnist()
File "C:\python\dataset\mnist.py", line 45, in download_mnist
_download(v)
File "C:\python\dataset\mnist.py", line 40, in _download
urllib.request.urlretrieve(url_base + file_name, file_path)
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 248, in urlretriev
e
with contextlib.closing(urlopen(url, data)) as fp:
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 526, in open
response = self._open(req, data)
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 544, in _open
'_open', req)
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 504, in _call_chai
n
result = func(*args)
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 1346, in http_open

return self.do_open(http.client.HTTPConnection, req)
File "C:\ProgramData\Anaconda3\lib\urllib\request.py", line 1320, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [WinError 10061] 対象のコンピューターによ
って拒否されたため、接続できませんでした。>
>>>

閲覧数:
2,989
回答数:
2
お礼:
250枚

違反報告

ベストアンサーに選ばれた回答

key********さん

2017/3/917:31:53

http://yann.lecun.com/exdb/mnist/ の先頭部分にある

train-images-idx3-ubyte.gz

がダウンロードできますか?

この回答は投票によってベストアンサーに選ばれました!

ベストアンサー以外の回答

1〜1件/1件中

buy********さん

2017/3/917:37:53

>uvtklsさん

train-images-idx3-ubyte.gz
をダウンロードしようとして
接続拒否されてるっぽいエラーメッセージになってるので
Python3で 13 行目から15行目のソースにURLが埋めこまれてます

http://yann.lecun.com/exdb/mnist/

がベースで

train-images-idx3-ubyte.gz

以降4つのファイルをダウンロードしようとしてます

試しにブラウザで

http://yann.lecun.com/exdb/mnist/train-images-idx3-ubyte.gz

をみにいくとダウンロドできそう

wget http://yann.lecun.com/exdb/mnist/train-images-idx3-ubyte.gz

とwgetでダウンロードしても
接続拒否されません

サイズは 9.45M (9912422)
だった

***ということで
ネット接続を拒否されてるので
他でこっちだとダウンロードできてるので

ソースがおかしいか
ソースが前提としてる環境じゃないか(例えばproxyサーバー経由じゃないと接続できない環境でそれを設定してないとか、それを考慮してないソースになってるとか
ソースは確認してないので、このツールの文書やソースで確認してくれ
俺は興味ないのでそこまでしてないぞ)
だと思います

案1) 文書やソースを確認(proxyサーバー経由で接続してるなら、設定でなんとかなるかソース改造が必要かもしれんし)
案2) 他のダウンローダーでダウンロードして、そのファイルをダウンロードするのではなく、ローカルのあるところにあるそのファイルを利用するようにソース改造

あたりが良いような気がするけどな


***ちゃんと自分で調べれないツールは使うべきではありません
自分で調べて使わないと
こんなところで質問しないといけなくなるような
ツールは選択するべきじゃない

基本自分で使いかた調べれないようなツールは効率良くないか
信頼性が低いツールと思われるので他のツールに変更した方が良いと思う
マジメに作者の提供した文書を読んでないなら別だけど
その場合はマジメに使いかた読んで
そのとおりやるべき

他にもDeep Learningやれるツール腐るほどあるから
自己解決できるやつを選べよ

返信を取り消しますが
よろしいですか?

  • 取り消す
  • キャンセル

みんなで作る知恵袋 悩みや疑問、なんでも気軽にきいちゃおう!

Q&Aをキーワードで検索:

Yahoo! JAPANは、回答に記載された内容の信ぴょう性、正確性を保証しておりません。
お客様自身の責任と判断で、ご利用ください。
本文はここまでです このページの先頭へ

「追加する」ボタンを押してください。

閉じる

※知恵コレクションに追加された質問は選択されたID/ニックネームのMy知恵袋で確認できます。

不適切な投稿でないことを報告しました。

閉じる